Subject: Re: [bug#51747] [PATCH]: gnu: nix: Update to 2.4.

From: Oleg Pykhalov <[email-masked]>
Date: Wed, 12 Jan 2022 08:19:37 +0300

Zhu Zihao <[email-masked]> writes:

[…]

> Interesting, It looks that these blobs are for Windows system. I don't
> care about MS Windows, but blobs are tightly integrated in the source.
>
> The source reports that they're compiled from the source in contrib/MSR
> Driver/Kernel. They're PE COFF format, If we want to compile it ourself,
> we have to use mingw cross compiler. This increase the complexity of
> build script.
>
> AFAIK, nix use libcpuid only in linux context. My idea is replace these
> blobs with empty bytes. Maybe leave a note for who want mingw cross build. 

Does the current version 2.5.1 https://nixos.org/download.html contains
those blobs?

And in any case, could we update to 2.5.1 instead of 2.4?